Yaf_Route_Map::route
Yaf_Route_Regex::assemble
Yaf
PHP Manual

# The Yaf_Route_Regex class

(Yaf >=1.0.0)

## Introduction

Yaf_Route_Regex is the most flexible route among the Yaf built-in routes.

## Class synopsis

Yaf_Route_Regex extends Yaf_Route_Interface implements Yaf_Route_Interface {
/* Properties */
protected $_route ;
protected $_default ;
protected $_maps ;
protected $_verify ;
/* Methods */
public string assemble ( array `$info` [, array `$query` ] )
public__construct ( string `$match` , array `$route` [, array `$map` [, array `$verify` [, string `$reverse` ]]] )
public bool route ( Yaf_Request_Abstract `$request` )
/* Inherited methods */
abstract public string Yaf_Route_Interface::assemble ( array `$info` [, array `$query` ] )
abstract public bool Yaf_Route_Interface::route ( Yaf_Request_Abstract `$request` )
}

## Properties

_route

_default

_maps

_verify

## Table of Contents

- Yaf_Route_Regex::assemble — Assemble a url
- Yaf_Route_Regex::__construct — Yaf_Route_Regex constructor
- Yaf_Route_Regex::route — The route purpose

Yaf_Route_Map::route
Yaf_Route_Regex::assemble
Yaf
PHP Manual